{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a CSV export for content and accepts optional filters in the payload.","properties":{"path":{"type":"object","properties":{"account_id":{"type":"string","examples":["46148281d8a93d002ef242d8b0d5f9f6"],"description":"Cloudflare account ID for the user making the request."}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/posture-api_ContentExportRequest"}},"required":["path"],"additionalProperties":false,"definitions":{"posture-api_ContentExportRequest":{"description":"Request body for creating content exports.","type":"object","properties":{"dlp_profile_id":{"description":"Filter by DLP profile IDs.","type":"array","items":{"format":"uuid","type":"string"},"examples":[["e91a2360-da51-4fdf-9711-bcdecd462614"]]},"dlp_profile_information":{"description":"DLP profile metadata for the export.","type":"array","items":{"$ref":"#/definitions/posture-api_DLPProfile"}},"integration_id":{"description":"Filter by integration IDs.","type":"array","items":{"format":"uuid","type":"string"},"examples":[["c416bc38-75dc-425f-ae25-c37b5df5c37f"]]},"max_affliction_date":{"description":"Filter to view content flagged on or before this date.","type":"string","format":"date-time","examples":["2024-01-01T00:00:00Z"]},"min_affliction_date":{"description":"Filter to view content flagged on or after this date.","type":"string","format":"date-time","examples":["2023-01-01T00:00:00Z"]},"orders":{"description":"Ordering specifications for the export.","type":"array","items":{"$ref":"#/definitions/posture-api_ContentOrder"}},"search":{"description":"Search term to filter content.","type":"string","examples":["sensitive"]},"vendors":{"description":"Filter by vendor types.","type":"array","items":{"$ref":"#/definitions/posture-api_VendorsEnum"},"examples":[["GOOGLE_WORKSPACE"]]}},"required":["dlp_profile_information"]},"posture-api_DLPProfile":{"description":"DLP profile configuration.","type":"object","properties":{"entries":{"description":"Entries contained within this DLP profile.","type":"array","items":{"$ref":"#/definitions/posture-api_DLPProfileEntry"}},"id":{"description":"Unique identifier for the DLP profile.","type":"string","format":"uuid","examples":["e91a2360-da51-4fdf-9711-bcdecd462614"]},"name":{"description":"Name of the DLP profile.","type":"string","examples":["Financial Information"]}},"required":["id","name","entries"]},"posture-api_ContentOrder":{"type":"object","allOf":[{"$ref":"#/definitions/posture-api_Order"},{"properties":{"name":{"description":"Content-specific field names for ordering.","type":"string","enum":["asset_name","dlp_profile_count","integration_name","latest_affliction_date"],"examples":["asset_name"]}},"required":["name"],"type":"object"}]},"posture-api_VendorsEnum":{"description":"Supported vendor types for integrations.","type":"string","enum":["ANTHROPIC","AWS","BITBUCKET","BOX","CONFLUENCE","DROPBOX","GITHUB","GOOGLE_CLOUD_PLATFORM","GOOGLE_WORKSPACE","JIRA","MICROSOFT","MICROSOFT_INTERNAL","OPENAI","SALESFORCE","SERVICENOW","SLACK","ZOOM"],"examples":["GOOGLE_WORKSPACE"]},"posture-api_DLPProfileEntry":{"description":"Entry within a DLP profile.","type":"object","properties":{"id":{"description":"Unique identifier for the DLP profile entry.","type":"string","format":"uuid","examples":["55ba2c6c-8ef4-4b2e-9148-e75e8b6ccac1"]},"name":{"description":"Name of the DLP profile entry.","type":"string","examples":["Credit Card Numbers"]},"profile_id":{"description":"ID of the parent DLP profile.","type":"string","format":"uuid","examples":["e91a2360-da51-4fdf-9711-bcdecd462614"]}},"required":["id","name","profile_id"]},"posture-api_Order":{"description":"Generic ordering specification.","type":"object","properties":{"direction":{"$ref":"#/definitions/posture-api_DirectionEnum"},"name":{"description":"Field name to order by.","type":"string","examples":["instance_count"]}},"required":["direction","name"]},"posture-api_DirectionEnum":{"description":"Sort direction.","type":"string","enum":["asc","desc"],"examples":["asc"]}}},"name":"Create a content export","id":"cloudflare.createcontentexport","example":{"path":{"account_id":"46148281d8a93d002ef242d8b0d5f9f6"}},"maxRequests":1,"summary":false}}